#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from zephir.monitor.agentmanager.templates.PageTmpl import PageTmpl

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1334233838.521565
__CHEETAH_genTimestamp__ = 'Thu Apr 12 14:30:38 2012'
__CHEETAH_src__ = 'ServerPageTmpl.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Apr 12 14:30:33 2012'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class ServerPageTmpl(PageTmpl):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        PageTmpl.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''<!-- ServerPageTmpl #encoding utf-8 -->

''')
        _v = VFFSL(SL,"head",False)("Zephir") # '$head("Zephir")' on line 5, col 1
        if _v is not None: write(_filter(_v, rawExpr='$head("Zephir")')) # from line 5, col 1.
        write('''

<h1 id="title">Zephir</h1>

<div id="nav">
</div>

<div id="content">
  <ul><!-- FIXME could be paginated -->
''')
        for c in VFFSL(SL,"clients",True): # generated from line 14, col 3
            write('''    <li><a href="/agents/''')
            _v = VFFSL(SL,"c",True) # '$c' on line 15, col 26
            if _v is not None: write(_filter(_v, rawExpr='$c')) # from line 15, col 26.
            write('''/">''')
            _v = VFFSL(SL,"c",True) # '$c' on line 15, col 31
            if _v is not None: write(_filter(_v, rawExpr='$c')) # from line 15, col 31.
            write('''</a></li>
''')
        write('''  </ul>
</div> <!-- content -->

''')
        _v = VFFSL(SL,"foot",False)() # '$foot()' on line 20, col 1
        if _v is not None: write(_filter(_v, rawExpr='$foot()')) # from line 20, col 1.
        write('''
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_ServerPageTmpl= 'respond'

## END CLASS DEFINITION

if not hasattr(ServerPageTmpl, '_initCheetahAttributes'):
    templateAPIClass = getattr(ServerPageTmpl, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(ServerPageTmpl)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=ServerPageTmpl()).run()


