#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0.1'
__CHEETAH_versionTuple__ = (2, 0, 1, 'final', 0)
__CHEETAH_genTime__ = 1334233839.2296031
__CHEETAH_genTimestamp__ = 'Thu Apr 12 14:30:39 2012'
__CHEETAH_src__ = 'TableDataTmpl.tmpl'
__CHEETAH_srcLastModified__ = 'Thu Apr 12 14:30:33 2012'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class TableDataTmpl(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        Template.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''<!-- MeasuresDataTmpl #encoding utf-8 -->
<table class="table">
  <thead>
    <tr>
''')
        for field, title, attrs, format in VFFSL(SL,"data.columns_format",True): # generated from line 5, col 7
            write('''      <td ''')
            _v = VFFSL(SL,"attrs",True) # '$attrs' on line 6, col 11
            if _v is not None: write(_filter(_v, rawExpr='$attrs')) # from line 6, col 11.
            write('''>''')
            _v = VFFSL(SL,"title",True) # '$title' on line 6, col 18
            if _v is not None: write(_filter(_v, rawExpr='$title')) # from line 6, col 18.
            write('''</td>
''')
        write('''    </tr>
  </thead>
  <tbody>
''')
        if VFFSL(SL,"data.table_data",True) == None: # generated from line 11, col 5
            write('''    <tr class="even">
''')
            cols = VFFSL(SL,"len",False)(VFFSL(SL,"data.columns_format",True))
            write('''      <td colspan=''')
            _v = VFFSL(SL,"cols",True) # '$cols' on line 14, col 19
            if _v is not None: write(_filter(_v, rawExpr='$cols')) # from line 14, col 19.
            write(''' ''')
            _v = VFFSL(SL,"attrs",True) # '$attrs' on line 14, col 25
            if _v is not None: write(_filter(_v, rawExpr='$attrs')) # from line 14, col 25.
            write('''>Donn\xc3\xa9es non disponibles</td>
    </tr>
''')
        else: # generated from line 16, col 5
            for i in range(len(VFFSL(SL,"data.table_data",True))): # generated from line 17, col 5
                if (VFFSL(SL,"i",True)+1) % 2 == 0: # generated from line 18, col 7
                    row_class = "even"
                else: # generated from line 20, col 7
                    row_class = "odd"
                row = VFN(VFFSL(SL,"data",True),"table_data",True)[VFFSL(SL,"i",True)]
                write('''    <tr class="''')
                _v = VFFSL(SL,"row_class",True) # '$row_class' on line 24, col 16
                if _v is not None: write(_filter(_v, rawExpr='$row_class')) # from line 24, col 16.
                write('''">
''')
                for (field, title, attrs, format) in VFFSL(SL,"data.columns_format",True): # generated from line 25, col 7
                    write('''      <td ''')
                    _v = VFFSL(SL,"attrs",True) # '$attrs' on line 26, col 11
                    if _v is not None: write(_filter(_v, rawExpr='$attrs')) # from line 26, col 11.
                    write('''>''')
                    _v = VFFSL(SL,"format",False)(VFFSL(SL,"row",True)[VFFSL(SL,"field",True)]) # '$format($row[$field])' on line 26, col 18
                    if _v is not None: write(_filter(_v, rawExpr='$format($row[$field])')) # from line 26, col 18.
                    write('''</td>
''')
                write('''    </tr>
''')
        write('''  </tbody>
</table>
''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_TableDataTmpl= 'respond'

## END CLASS DEFINITION

if not hasattr(TableDataTmpl, '_initCheetahAttributes'):
    templateAPIClass = getattr(TableDataTmpl, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(TableDataTmpl)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=TableDataTmpl()).run()


