# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
###########################################################################

"""
Agent zephir testant le résultat de la dernière sauvegarde
"""

from zephir.monitor.agentmanager.agent import Agent
from zephir.monitor.agentmanager.data import TableData
from zephir.monitor.agentmanager import status
from os.path import isfile

class Sauvegarde(Agent):

    def __init__(self, name, **params):
        Agent.__init__(self, name, **params)
        self.table = TableData([
            ('svg', 'Dernière sauvegarde', {'align':'center'}, None)])
        self.data = [self.table]
        self.status = status.OK()
 
    def measure(self):
        
        self.status = status.Unknown()
        fichier = "/var/www/ead/tmp/resultat-bacula"
        
        if not isfile(fichier):
            res = { 'svg' : 'Aucune sauvegarde'}
        else:
            fic = file(fichier)
            info = fic.read().strip()
            fic.close()
            if 'échoué' in info:
                self.status = status.Error()
            else:
                self.status = status.OK()
            res = { 'svg' : info }

        return { 'statistics' : [res] }

    def write_data(self):
        Agent.write_data(self)
        if self.last_measure is not None:
            self.table.table_data = self.last_measure.value['statistics']
            
    def check_status(self):
        return self.status
 
